*-----------------------------------------------------------------------
      subroutine nxvp1x(ncdfid,cvname,mindex,valuex)

      integer   mindex(*)
      character cvname*(*)


      nvarid=ncvid(ncdfid,cvname,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvp1x','error in ncvid.')

      call ncvpt1(ncdfid,nvarid,mindex,valuex,ircode)
      if (ircode.ne.0) call msgdmp('e','nxvp1x','error in ncvpt1.')

      end
